// mpconfig.h - memory policing configuration file
// Author:  Nikolaus Seydel, Amadeus Data Processing
// Date:    19 Jan 2009
// Summary: mpolice (memory police) can be used to detect strange memory
//          (heap) usage, eg. leaking heap, functional heap leakage, etc.
//          mpolice comes with an executable (mpolice) and with a shared
//          library (libmpolice).
// See mpolice.c for more details

#ifndef _MPCONFIG_H_
#define _MPCONFIG_H_

#define RND_SAMPLE       10  // +- percent of each sample
#define RETRY_SECS        3  // command file open retry threshhold
#define MAX_NEST         15  // max nesting depth for backtrace
#define MAX_OUTPUT     5000  // max mpolice owned chunks to output
#define DEF_LOW          32  // default --low value
#define DEF_HIGH  INT32_MAX  // default --high value
#define DEF_NEST          6  // default --nest value

#endif // #ifndef _MPCONFIG_H_
